[ 解決済 ] (古いバージョンのVarietyを利用)カスタマイズに入ろうとすると、Fatal errorが出ます。

VWSとは フォーラム Lightning [ 解決済 ] (古いバージョンのVarietyを利用)カスタマイズに入ろうとすると、Fatal errorが出ます。

[ 解決済 ] (古いバージョンのVarietyを利用)カスタマイズに入ろうとすると、Fatal errorが出ます。

  • このトピックには7件の返信、6人の参加者があり、最後にsakura8373により1ヶ月、 1週前に更新されました。
8件の投稿を表示中 - 1 - 8件目 (全8件中)
  • 投稿者
    投稿
  • #47112

    お世話になっております。

    WordPress 5.6
    Ligntninhg バージョン: 13.5.0
    子テーマ利用
    Lightning Variety 2.0.8

    上記の環境にて、外観>カスタマイズを開こうとすると
    下記のエラーが出ます。

    Fatal error: Cannot declare class Custom_Text_Control, because the name is already in use in /home/●●●/●●●/public_html/wp-content/themes/lightning/inc/customizer.php on line 11

    Lightning Variety の設定画面に直接入ろうとしても、
    「このページにアクセスする権限がありません。と表示されてしまいます。

    原因、解決策はありますでしょうか。

    よろしくお願いいたします。


    該当URL : https://*********

    ※該当URLはフォーラムライセンスが有効のユーザーにのみ表示されます

    #47113

    うなこ
    モデレーター

    Lightning Variety 2.0.8

    気になりましたのがVarietyスキンのバージョンが古いように思います。
    現在はLightning Skin Varietyバージョン 10.0.0 が最新となります。

    プラグインからLightning Skin Varietyを最新版に更新することはできますか?

    #47114

    対馬 俊彦
    参加者

    横からすみません。

    最新の Ligntning 13.5.0 と古めの Lightning Variety 2.0.8 の組み合わせって動くのでしょうか?

    Lightning Variety をアップデートすると、Lightning Pro が必要になります。

    費用がかかりますが、Lightning Pro を購入して 親テーマを Lightning Pro に変更して、両方とも最新版でお使いになるのがよさそうな気がします。

    • この返信は1ヶ月、 1週前に対馬 俊彦が編集しました。
    #47115

    石川@Vektor,Inc.
    キーマスター

    基本的には Pro 版の最新版での動作保証となりますが、
    ここに書き込めている時点でおそらく Lightning Pro はアップデート可能ではないかと思います。
    ※ Brand Unit / Works Unit / Katawara ユーザーで Lightning Pro のライセンスが切れている場合は除きます。

    #47116

    対馬 俊彦
    参加者

    ここに書き込めている時点でおそらく Lightning Pro はアップデート可能ではないかと思います。

    そうでしたね。うっかりしました。

    以下のように訂正させていただきます。

    Lightning Pro を購入して ⇒ 親テーマを Lightning Pro に変更して

    #47245

    sakura8373
    参加者

    すみません。
    同様の状況が発生したので、確認をさせてください。
    新規にフォーラムに質問をすることも考えたのですが・・・

    自分のクライアントからの同様のエラー発生です。バージョンが古くなっております。
    カスタマイズ画面が表示されないため、アップデート用のライセンスキー入力ができません。

    他に、アップデートをする方法はあるのでしょうか?

    #47250

    DRILL LANCER
    モデレーター

    子テーマはご利用でしょうか?
    ご利用の場合は子テーマのfunctions.phpに

    
    update_option( 'lightning-pro-license-key', '★ライセンスキーをここに書き換えてください★');
    

    と書いてアップロードすればライセンスキーは上書きできます。

    上記をお試しください。

    • この返信は1ヶ月、 1週前にDRILL LANCERが編集しました。
    #47254

    sakura8373
    参加者

    早速のご返信ありがとうございました。

    子テーマを使用するほどのカスタマイズはしていなかったのですが、作成時に子テーマはセットしていました。
    指示いただいたとおり、functions.phpにコピペし、アップデートできました。

    解決できました。ありがとうございます。

8件の投稿を表示中 - 1 - 8件目 (全8件中)
  • このトピックに返信するにはログインが必要です。